unit Lcatabou;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls {$ifdef WIN32}, Dialogs, ShellAPI {$endif};

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    OKButton: TBitBtn;
    ProgramIcon: TImage;
    ProgIdn: TLabel;
    Copyright: TLabel;
    Description: TLabel;
    Email: TLabel;
    URL: TLabel;
    procedure FormShow(Sender: TObject);
    procedure EmailClick(Sender: TObject);
    procedure URLClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

Uses LCatTool;

{$R *.DFM}

procedure TAboutBox.FormShow(Sender: TObject);
begin
  Description.Caption := C_ProgDescr;
  ProgIdn.Caption     := C_ProgIdn+' '+C_ProgVers+' '+C_ProgTarget;
  Copyright.Caption   := C_Copyright;
  Email.Caption       := C_AuthorEmail;
  URL.Caption         := C_AuthorURL;
{$ifdef WIN32}
  with Email.Font do begin
    Color:= clBlue;
    Style:= Style + [fsUnderline];
  end;
  with URL.Font do begin
    Color:= clBlue;
    Style:= Style + [fsUnderline];
  end;
{$endif}
end;

procedure TAboutBox.EmailClick(Sender: TObject);
var cmd: string;
begin
{$ifdef WIN32}
  cmd:= 'mailto:'  + C_AuthorEmail +
        '?subject=' + 'About '+C_ProgIdn+' '+C_ProgVers;
  if ShellExecute(GetDesktopWindow,nil,PChar(cmd),nil,nil,SW_NORMAL) <= 32
  then ShowMessage('failed to create e-mail');
{$endif}
end;

procedure TAboutBox.URLClick(Sender: TObject);
var cmd: string;
begin
{$ifdef WIN32}
  cmd:= C_AuthorURL;
  if ShellExecute(GetDesktopWindow,nil,PChar(cmd),nil,nil,SW_NORMAL) <= 32
  then ShowMessage('failed to launch web browser');
{$endif}
end;

end.

